<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Admin/Guide.master"
    CodeBehind="WorkCategoryGuide.aspx.cs" Inherits="PowerEasy.Module.General.WebSite.Admin.Work.WorkCategoryGuide" Title="表单类别" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CphTitle" runat="Server">
    表单类别
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="CphSubMenu" runat="Server">
    <table style="width: 100%; height: 100%;" oncontextmenu="DoContextMenu(event)">
        <tr>
            <td valign="top">
                <div style="text-align: left">
                    <table>
                        <tr>
                            <td align="left">
                                <pe:XLoadTree ID="XLoadNodeTree" RootIcon="WebSite" runat="server">
                                </pe:XLoadTree>
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
    </table>

    <script type="text/javascript">
        function DoContextMenu(event)
{
    event.returnValue = false;
}

function going(type, id, nodeId, Iseshop, filePath) {
    
    switch (type) {
        case "m":
            var url = "WorkCategory.aspx?action=Modify&id=" + nodeId;
            JumpToMainRight(url);
            break;
        case "ap":
            var url = "WorkCategory.aspx?action=add&pid=" + nodeId;
            JumpToMainRight(url);
            break;
        case "a":
            var url = "WorkCategory.aspx?action=add";
            JumpToMainRight(url);
            break;
        case "d":
            if (confirm("删除类别将删除相应数据，确实要删除该类别吗？")) {
                var url = "WorkCategoryManage.aspx?action=d&id=" + nodeId;
                JumpToMainRight(url);
            }
            break;
    }
}
    </script>

</asp:Content>
